Skip to main content
`Ctrl`+`K`

# FNSetFromOptions

Sets `FN` options from the options database.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNSetFromOptions(FN fn)

Collective

## Input Parameter

- fn - the math function context

## Note

To see all options, run your program with the `-help` option.

## See Also

FN: Mathematical Functions, `FNSetOptionsPrefix()`

## Level

beginner

## Location

src/sys/classes/fn/interface/fnbasic.c

## Implementations

FNSetFromOptions_Phi() in src/sys/classes/fn/impls/phi/fnphi.c
FNSetFromOptions_Rational() in src/sys/classes/fn/impls/rational/fnrational.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages